Shuts down Deployment
https://api.elastic-cloud.com/api/v1
- POST /deployments/{deployment_id}/_shutdown
Shuts down all resources in a Deployment.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
Query Parameters
-
hideboolean Whether or not to hide the deployment and its resources.Only applicable for Platform administrators.
-
skip_snapshotboolean · default: false Whether or not to skip snapshots before shutting down the resources
Responses
The request was valid and the resources of the deployment were shutdown.
-
idstringrequired -
The id of the deployment
-
namestringrequired -
The name of the deployment
-
orphanedOrphaned -
Details about orphaned resources.
-
elasticsearchOrphanedElasticsearchrequired -
List of orphaned Elasticsearch resources
-
idstringrequired -
The id of the orphaned resource
-
dependentsElasticsearchDependantrequired -
List of orphaned dependent resources
-
kibanastringrequired -
List of orphaned Kibana resource ids
-
apmstringrequired -
List of orphaned APM resource ids
-
appsearchstringrequired -
List of orphaned AppSearch resource ids
-
enterprise_searchstringrequired -
List of orphaned Enterprise Search resource ids
-
integrations_serverstringrequired -
List of orphaned Integrations Server resource ids
Parameter is restricted and can only be set by a Platform administrator. (code: deployments.restricted_parameter)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
You are not authorized to perform this action.
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
The Deployment specified by {deployment_id} cannot be found. (code: deployments.deployment_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response